UBO
Get UBO Run
Retrieve typed status for a UBO extraction run.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
orderId*string
UBO run ID
Query Parameters
customerPartnerId?|
Optional customer partner ID for validation
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/companies/ubo/runs/string"{
"orderId": "string",
"customerReference": "string",
"partnerCustomerId": "string",
"status": "running",
"requestTime": "2019-08-24T14:15:22Z",
"responseTime": "2019-08-24T14:15:22Z",
"result": {
"type": "uboReport",
"ultimateBeneficialOwnerReport": {
"sources": {
"property1": {
"type": "selfDeclaration",
"name": "string",
"jurisdictionCode": "aa",
"retrievalTime": "string",
"downloadUrl": "string",
"fileHash": "string",
"fileName": "string",
"date": {
"original": "string",
"normalized": "string"
}
},
"property2": {
"type": "selfDeclaration",
"name": "string",
"jurisdictionCode": "aa",
"retrievalTime": "string",
"downloadUrl": "string",
"fileHash": "string",
"fileName": "string",
"date": {
"original": "string",
"normalized": "string"
}
}
},
"ultimateBeneficialOwners": [
{
"type": "person",
"person": {
"address": {
"type": "arrival",
"source": "string",
"original": "string",
"normalized": {
"house": "string",
"category": "string",
"near": "string",
"houseNumber": "string",
"road": "string",
"unit": "string",
"level": "string",
"staircase": "string",
"entrance": "string",
"poBox": "string",
"postcode": "string",
"suburb": "string",
"cityDistrict": "string",
"city": "string",
"island": "string",
"stateDistrict": "string",
"state": "string",
"county": "string",
"countryRegion": "string",
"country": "string",
"countryCode": "string",
"worldRegion": "string"
},
"coordinate": {
"latitude": -90,
"longitude": -180
}
},
"contact": {
"property1": "string",
"property2": "string"
},
"jurisdictionCode": "aa",
"dateOfBirth": {
"original": "string",
"normalized": "string"
},
"gender": "string",
"identifiers": [
{
"value": "string",
"type": "string",
"source": "string",
"description": "string",
"extra": {}
}
],
"name": {
"firstName": "string",
"lastName": "string",
"fullName": "string"
},
"nationality": "string"
},
"interests": [
{
"type": "shareholding",
"percentage": {
"exact": 100,
"maximum": 100,
"minimum": 100,
"exclusiveMinimum": 100,
"exclusiveMaximum": 100
},
"details": "string",
"startDate": {
"original": "string",
"normalized": "string"
},
"endDate": {
"original": "string",
"normalized": "string"
}
}
],
"source": "string"
}
]
}
},
"error": "string",
"currentActivity": "string"
}{
"detail": "Invalid company ID format"
}{
"detail": "Invalid API key"
}{
"detail": "Company not found"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"detail": "An internal error occurred"
}Last updated on